[Search API](https://www.drupal.org/project/search_api "Link to the Search API module homepage") can index content but [Rabbit Hole](https://www.drupal.org/project/rabbit_hole "Link to the Rabbit Hole module homepage") can prevent content from being accessed.

This module provides a Search API Processor that prevents indexing of content items that have Rabbit Hole enabled and are using Rabbit Hole's 'Access Denied' or 'Page Not Found' plugins.

### Example usage

1.  Set up Node Articles to use Rabbit Hole
2.  Set up a Search API Index to index Node Articles
3.  Create an Article 'An article that should not be found' and set it to 'Access Denied'

Without this module, 'An article that should not be found' will be a result in your Search (but clicking it will still lead to access denied).

With this module enabled and configured 'An article that should not be found' will be excluded from being indexed and appearing as a result.

### Post-Installation

1.  Go to your Search API index -> Processors.
2.  Enable "Indexing Rabbit Hole Filter"

### Additional Requirements

This module only works if you have both Search API and Rabbit Hole enabled.